relude-1.2.2.0: Safe, performant, user-friendly and lightweight Haskell Standard Library

Copyright | (c) 2018-2023 Kowainik
License | MIT
Maintainer | Kowainik <xrom.xkov@gmail.com>
Stability | Stable
Portability | Portable
Safe Haskell | Safe
Language | Haskell2010

Relude.Lifted.Terminal

Description

Lifted functions to work with stdin and stdout.

Since: 0.3.0

Synopsis

- getLine :: MonadIO m => m Text
- print :: forall a m. (MonadIO m, Show a) => a -> m ()
- putStr :: MonadIO m => String -> m ()
- putStrLn :: MonadIO m => String -> m ()

# Documentation

getLine :: MonadIO m => m Text #

Lifted version of `getLine`.

print :: forall a m. (MonadIO m, Show a) => a -> m () #

Lifted version of `print`.

putStr :: MonadIO m => String -> m () #

Lifted version of `putStr`.

putStrLn :: MonadIO m => String -> m () #

Lifted version of `putStrLn`.